aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/libx11/APKBUILD20
1 files changed, 12 insertions, 8 deletions
diff --git a/main/libx11/APKBUILD b/main/libx11/APKBUILD
index 9de3d25ff2..dc05afde43 100644
--- a/main/libx11/APKBUILD
+++ b/main/libx11/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libx11
-pkgver=1.6.3
-pkgrel=2
+pkgver=1.6.4
+pkgrel=0
pkgdesc="X11 client-side library"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -13,23 +13,27 @@ depends_dev="libxcb-dev xextproto xf86bigfontproto-dev xtrans
makedepends="$depends_dev util-macros xproto kbproto"
source="http://xorg.freedesktop.org/releases/individual/lib/libX11-$pkgver.tar.bz2"
+builddir="$srcdir"/libX11-$pkgver
build() {
- cd "$srcdir"/libX11-$pkgver
+ cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
--with-xcb \
|| return 1
- make
+ make || return 1
}
package() {
- cd "$srcdir"/libX11-$pkgver
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
-md5sums="2e36b73f8a42143142dda8129f02e4e0 libX11-1.6.3.tar.bz2"
-sha256sums="cf31a7c39f2f52e8ebd0db95640384e63451f9b014eed2bb7f5de03e8adc8111 libX11-1.6.3.tar.bz2"
-sha512sums="01bbac8075b3fdae19cacfde1c799469f06fb864235025ce444fc10a3ba079bce30f4f3527db47c5edbf91d08299c61116cdf296efa38b2034c0099fac99cc69 libX11-1.6.3.tar.bz2"
+md5sums="6d54227082f3aa2c596f0b3a3fbb9175 libX11-1.6.4.tar.bz2"
+sha256sums="b7c748be3aa16ec2cbd81edc847e9b6ee03f88143ab270fb59f58a044d34e441 libX11-1.6.4.tar.bz2"
+sha512sums="1fb2ab1f16af14f03ad147ecf2a43c0137c528b9f7ad7de12c47a5861159313260c40122e8271ebd53bf06636d84a4766e06354c7791780f623ba316bed46e92 libX11-1.6.4.tar.bz2"